// Generated by gencpp from file teleop_msgs/RGParams.msg
// DO NOT EDIT!


#ifndef TELEOP_MSGS_MESSAGE_RGPARAMS_H
#define TELEOP_MSGS_MESSAGE_RGPARAMS_H

#include <ros/service_traits.h>


#include <teleop_msgs/RGParamsRequest.h>
#include <teleop_msgs/RGParamsResponse.h>


namespace teleop_msgs
{

struct RGParams
{

typedef RGParamsRequest Request;
typedef RGParamsResponse Response;
Request request;
Response response;

typedef Request RequestType;
typedef Response ResponseType;

}; // struct RGParams
} // namespace teleop_msgs


namespace ros
{
namespace service_traits
{


template<>
struct MD5Sum< ::teleop_msgs::RGParams > {
  static const char* value()
  {
    return "344384821ca7b92c854595797bdc3b71";
  }

  static const char* value(const ::teleop_msgs::RGParams&) { return value(); }
};

template<>
struct DataType< ::teleop_msgs::RGParams > {
  static const char* value()
  {
    return "teleop_msgs/RGParams";
  }

  static const char* value(const ::teleop_msgs::RGParams&) { return value(); }
};


// service_traits::MD5Sum< ::teleop_msgs::RGParamsRequest> should match
// service_traits::MD5Sum< ::teleop_msgs::RGParams >
template<>
struct MD5Sum< ::teleop_msgs::RGParamsRequest>
{
  static const char* value()
  {
    return MD5Sum< ::teleop_msgs::RGParams >::value();
  }
  static const char* value(const ::teleop_msgs::RGParamsRequest&)
  {
    return value();
  }
};

// service_traits::DataType< ::teleop_msgs::RGParamsRequest> should match
// service_traits::DataType< ::teleop_msgs::RGParams >
template<>
struct DataType< ::teleop_msgs::RGParamsRequest>
{
  static const char* value()
  {
    return DataType< ::teleop_msgs::RGParams >::value();
  }
  static const char* value(const ::teleop_msgs::RGParamsRequest&)
  {
    return value();
  }
};

// service_traits::MD5Sum< ::teleop_msgs::RGParamsResponse> should match
// service_traits::MD5Sum< ::teleop_msgs::RGParams >
template<>
struct MD5Sum< ::teleop_msgs::RGParamsResponse>
{
  static const char* value()
  {
    return MD5Sum< ::teleop_msgs::RGParams >::value();
  }
  static const char* value(const ::teleop_msgs::RGParamsResponse&)
  {
    return value();
  }
};

// service_traits::DataType< ::teleop_msgs::RGParamsResponse> should match
// service_traits::DataType< ::teleop_msgs::RGParams >
template<>
struct DataType< ::teleop_msgs::RGParamsResponse>
{
  static const char* value()
  {
    return DataType< ::teleop_msgs::RGParams >::value();
  }
  static const char* value(const ::teleop_msgs::RGParamsResponse&)
  {
    return value();
  }
};

} // namespace service_traits
} // namespace ros

#endif // TELEOP_MSGS_MESSAGE_RGPARAMS_H
